Skip to content

Get with primary inventory location

Request

Returns a single With Primary Inventory Location by its unique identifier.

Security
bearer
Path
siteIdnumberrequired

Site identifier

separationIdstringrequired

With Primary Inventory Location unique identifier (UUID)

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/with-primary-inventory-location/{separationId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

With Primary Inventory Location found

Bodyapplication/json
childSeparationIdstringrequired

Identifier of the child separation, if any.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactIdstringrequired

Identifier of the associated contact entity, if any.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the separation record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this separation is currently active.

Example:true
namestringrequired

Human-readable name of the separation (e.g., clinic or department name).

Example:"Example Name"
parentSeparationIdstringrequired

Identifier of the parent separation, if any.

Example:"123e4567-e89b-12d3-a456-426614174000"
primaryInventoryLocationIdstringrequired

Identifier of the primary inventory location associated with this separation.

Example:"123e4567-e89b-12d3-a456-426614174000"
separationCategorystringrequired

High-level category of the separation (e.g., division, department).

Enum:"division""department""location""other"
Example:"division"
separationIdstringrequired

Canonical identifier for the separation (e.g., division, department).

Example:"123e4567-e89b-12d3-a456-426614174000"
separationTypestringrequired

Free-text type or classification of the separation as used in the source system.

Example:"example"
updatedAtstring, (date-time)required

Timestamp when the separation record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "childSeparationId": "123e4567-e89b-12d3-a456-426614174000", "contactId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "Example Name", "parentSeparationId": "123e4567-e89b-12d3-a456-426614174000", "primaryInventoryLocationId": "123e4567-e89b-12d3-a456-426614174000", "separationCategory": "division", "separationId": "123e4567-e89b-12d3-a456-426614174000", "separationType": "example", "updatedAt": "2025-01-01T00:00:00.000Z" }